package com.yanzhu.jh.video.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 设备配置通道对象 dev_ai_project_config_passage
 * 
 * @author JiangYuQi
 * @date 2023-10-03
 */
public class DevAiProjectConfigPassage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 视频通道主键 */
    @Excel(name = "视频通道主键")
    private Integer videoPassageId;

    /** 视频通道 */
    @Excel(name = "视频通道")
    private Integer passageValue;

    /** ai盒子主键 */
    @Excel(name = "ai盒子主键")
    private Long aiboxId;

    /** 通道主键 */
    @Excel(name = "通道主键")
    private Long channelId;

    /** 通道名称 */
    @Excel(name = "通道名称")
    private String channelName;

    /** 是否重要 */
    @Excel(name = "是否重要")
    private String isImportance;

    /** 检测类型 */
    @Excel(name = "检测类型")
    private String passageType;

    /** 数据状态 */
    @Excel(name = "数据状态")
    private String isDel;

    private List<String> passageTypes;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAiboxId(Long aiboxId) 
    {
        this.aiboxId = aiboxId;
    }

    public Long getAiboxId() 
    {
        return aiboxId;
    }
    public void setChannelId(Long channelId) 
    {
        this.channelId = channelId;
    }

    public Long getChannelId() 
    {
        return channelId;
    }
    public void setChannelName(String channelName) 
    {
        this.channelName = channelName;
    }

    public String getChannelName() 
    {
        return channelName;
    }
    public void setIsImportance(String isImportance) 
    {
        this.isImportance = isImportance;
    }

    public String getIsImportance() 
    {
        return isImportance;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public Integer getVideoPassageId() {
        return videoPassageId;
    }

    public void setVideoPassageId(Integer videoPassageId) {
        this.videoPassageId = videoPassageId;
    }

    public Integer getPassageValue() {
        return passageValue;
    }

    public void setPassageValue(Integer passageValue) {
        this.passageValue = passageValue;
    }

    public String getPassageType() {
        return passageType;
    }

    public void setPassageType(String passageType) {
        this.passageType = passageType;
    }

    public List<String> getPassageTypes() {
        return passageTypes;
    }

    public void setPassageTypes(List<String> passageTypes) {
        this.passageTypes = passageTypes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("aiboxId", getAiboxId())
            .append("channelId", getChannelId())
            .append("channelName", getChannelName())
            .append("isImportance", getIsImportance())
            .append("isDel", getIsDel())
            .toString();
    }
}
